/* Copyright (c) 1997, MpegTV LLC */
#ifndef _xfile_h
#define _xfile_h
#ifndef lint
static const char rcsid_xfile_h[] = "$Header: /net/hopkins/home/tristan/mpeg/include/RCS/xfile.h,v 1.3 1999/05/16 10:22:41 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/* xfile is an abstract layer for file/pipe support */

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <fcntl.h>
#include <unistd.h>

typedef int XFILE_HANDLE;
typedef int XFILE_FILE_HANDLE;
typedef int XFILE_PIPE_HANDLE;
#define XFILE_INVALID_HANDLE	(-1)

#define xfile_file_open	open
#define XFILE_O_WRONLY	O_WRONLY
#define XFILE_O_RDWR	O_RDWR
#define XFILE_O_CREAT	O_CREAT
#define XFILE_O_TRUNC	O_TRUNC
#define XFILE_O_EXCL	O_EXCL
#define XFILE_O_BINARY	O_BINARY
#define XFILE_O_APPEND	O_APPEND

#define xfile_file_close	close
#define xfile_file_read		read
#define xfile_file_write	write

#define xfile_fcntl	fcntl
#define XFILE_O_NONBLOCK	O_NONBLOCK
#define XFILE_F_GETFL	F_GETFL
#define XFILE_F_SETFL	F_SETFL


#define xfile_pipe_create	pipe
#define xfile_pipe_write	write
#define xfile_pipe_read		read
#define xfile_pipe_close	close

#define xfile_select	select
typedef fd_set xfile_fd_set;
#define xfile_timeval	timeval

#define XFILE_FD_CLR(fd, fdset) FD_CLR(fd, fdset)
#define XFILE_FD_ISSET(fd, fdset) FD_ISSET(fd, fdset)
#define XFILE_FD_SET(fd, fdset) FD_SET(fd, fdset)
#define XFILE_FD_ZERO(fdset) FD_ZERO(fdset)

#define XFILE_EINTR		EINTR
#define XFILE_EAGAIN	EAGAIN
#define XFILE_EPIPE		EPIPE
#define XFILE_EBADF		EBADF


#endif /* _xfile_h */


